Subject: Re: [PATCH] gitweb: move highlight config out of guess_file_syntax()

From: Jakub Narebski <[email-masked]>
Date: Mon, 26 Jul 2010 22:45:32 +0200

On Mon, 26 Jul 2010, Jakub Narębski wrote:
> On Sat, 24 Jul 2010, Alejandro R. Sedeño wrote:
> 
> > Move highlight config out of guess_file_syntax() so that it can be
> > extended/overridden by system/user configuration.
> > 
> > Signed-off-by: Alejandro R. Sedeño <[email-masked]>
> 
> Good idea.
> 
> The only _possible_ problem is that this configuration is fairly specific
> with respect to currently the only one sipported hightlighter, i.e. the
> external binary 'highlight' (http://www.andre-simon.de).  If we are to
> add support for other programs (e.g. GNU Source Highlight) or Perl modules
> for syntax highlighting (e.g. Syntax::Highlight::Engine::Kate or 
> Beautifier) in the future, this could mean backward incompatibile change.
> 
> The culprit is using extensions (in 'highlight' main syntax files are 
> named by extensions) rather than format names in %highlight_basename
> and %highlight_ext, e.g. 'py' rather than 'python'.  I don't know if
> it would be much of the problem.
> 
> So perhaps I am worrying about nothing...

I am worrying about nothing.  The default syntax highlighter would be
'highlight' program; if one wants to change highlighter, one can also
modify required configuration (names of 'syntax' to choose from might
be different for different highlighting engines).

Therefore:

Acked-by: Jakub Narebski <[email-masked]>

-- 
Jakub Narebski
Poland